GET
Use dark colors for code blocksCopy
1
/{orgId}/{itemId}/webhookConnections
Get all webhook connections

Gets all webhook connections from Workflow Manager.

The following information is returned with each webhook connection object:

  • connectionId: The webhook connection ID.
  • connectionName: The webhook connection name.
  • enabled: If true, Workflow Manager will process incoming webhooks. If false, Workflow Manager will not process incoming webhooks.
  • itemId: The service item ID for the webhook.
  • username: The username of the user designated to perform the actions triggered by a webhook, if one is designated.
  • fallbackUsername: The username of the alternate user designated to perform the actions triggered by a webhook, if one is designated.

Query parameters

NameTypeRequired
tokenstring¦null

Path parameters

NameTypeRequired
orgIdstring
itemIdstring

Response status

StatusMeaningDescriptionSchema
200OK

The list of webhook connection information objects

inline
400Bad Request

error

WorkflowExceptionDTO

Response details

Status Code 200

GetWebhookConnectionsResponse

NameTypeRequiredDescription
webhookConnections[WebhookConnectionInfo]

Examples

Request

Use dark colors for code blocksCopy
1
2
3
# You can also use wget
curl -X GET '/{orgId}/{itemId}/webhookConnections' \
  -H 'Authorization: Bearer <YOUR_TOKEN>'

Response

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
{
  "webhookConnections": [
    {
      "connectionId": "string",
      "connectionName": "string",
      "enabled": true,
      "itemId": "string",
      "username": "string",
      "fallbackUsername": "string"
    }
  ]
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.